> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit swaption vol cube data



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/GetCreditSwaptionVolCubeData
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/GetCreditSwaptionVolCubeData:
    post:
      tags:
        - MarketData
      summary: Get credit swaption vol cube data
      operationId: GetCreditSwaptionVolCubeData
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetCreditSwaptionVolCubeDataRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetCreditSwaptionVolCubeDataRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetCreditSwaptionVolCubeDataRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetCreditSwaptionVolCubeDataRequest'
      responses:
        '200':
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetCreditSwaptionVolCubeDataRequest:
      example:
        credit_index_identifier:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        strike_prices:
          - 0.8008281904610115
          - 0.8008281904610115
      properties:
        market_date:
          format: date-time
          type: string
        strike_spreads:
          items:
            format: double
            type: number
          nullable: true
          type: array
        include_sabr_parameters:
          type: boolean
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        credit_index_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        strike_prices:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetCreditSwaptionVolCubeDataRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````